Module javafx.controls
Package javafx.scene.control.skin

# Class TreeTableRowSkin<T>

java.lang.Object
javafx.scene.control.SkinBase<C>
javafx.scene.control.skin.LabeledSkinBase<C>
javafx.scene.control.skin.CellSkinBase<C>
javafx.scene.control.skin.TableRowSkinBase<TreeItem<T>,TreeTableRow<T>,TreeTableCell<T,?>>
javafx.scene.control.skin.TreeTableRowSkin<T>

All Implemented Interfaces:
  `Skin<TreeTableRow<T>>`

public class TreeTableRowSkin<T> extends TableRowSkinBase<TreeItem<T>,TreeTableRow<T>,TreeTableCell<T,?>>
Default skin implementation for the `TreeTableRow` control.

Since:
  9
See Also:
  - `TreeTableRow`

- ## Property Summary

  Properties
  Type
  Property
  Description
  `final DoubleProperty`
  `indent`
  The amount of space to multiply by the treeItem.level to get the left margin for this tree cell.

  ### Properties declared in class javafx.scene.control.skin.TableRowSkinBase

  `graphic`

  ### Properties declared in class javafx.scene.control.skin.CellSkinBase

  `cellSize`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `TreeTableRowSkin(TreeTableRow<T> control)`
  Creates a new TreeTableRowSkin instance, installing the necessary child nodes into the Control `children` list, as well as the necessary input mappings for handling key, mouse, etc events.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected TreeTableCell<T,?>`
  `createCell(TableColumnBase tcb)`
  Creates a new cell instance that is suitable for representing the given table column instance.
  `static List<CssMetaData<? extends Styleable,?>>`
  `getClassCssMetaData()`
  Returns the CssMetaData associated with this class, which may include the CssMetaData of its superclasses.
  `final double`
  `getIndent()`
  Gets the value of the property indent.
  `protected TreeTableColumn<T,?>`
  `getTableColumn(TreeTableCell cell)`
  Returns the `TableColumnBase` instance for the given cell instance.
  `protected ObservableList<TreeTableColumn<T,?>>`
  `getVisibleLeafColumns()`
  Returns an unmodifiable list containing the currently visible leaf columns.
  `final DoubleProperty`
  `indentProperty()`
  The amount of space to multiply by the treeItem.level to get the left margin for this tree cell.
  `final void`
  `setIndent(double value)`
  Sets the value of the property indent.
  `protected void`
  `updateCell(TreeTableCell<T,?> cell, TreeTableRow<T> row)`
  A method to allow the given cell to be told that it is a member of the given row.

  ### Methods declared in class javafx.scene.control.skin.TableRowSkinBase

  `graphicProperty`

  ### Methods declared in class javafx.scene.control.skin.CellSkinBase

  `cellSizeProperty, getCellSize`

  ### Methods declared in class javafx.scene.control.skin.LabeledSkinBase

  `computeBaselineOffset, computeMinWidth, layoutChildren, layoutLabelInArea, layoutLabelInArea, updateChildren`

  ### Methods declared in class javafx.scene.control.SkinBase

  `computeMaxHeight, computeMaxWidth, computeMinHeight, computePrefHeight, computePrefWidth, consumeMouseEvents, dispose, executeAccessibleAction, getChildren, getCssMetaData, getNode, getSkinnable, layoutInArea, layoutInArea, layoutInArea, positionInArea, positionInArea, pseudoClassStateChanged, queryAccessibleAttribute, registerChangeListener, registerInvalidationListener, registerListChangeListener, snappedBottomInset, snappedLeftInset, snappedRightInset, snappedTopInset, snapPosition, snapPositionX, snapPositionY, snapSize, snapSizeX, snapSizeY, snapSpace, snapSpaceX, snapSpaceY, unregisterChangeListeners, unregisterInvalidationListeners, unregisterListChangeListeners`

  ### Methods declared in class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Property Details

  - ### indent

    public final DoubleProperty indentProperty
    The amount of space to multiply by the treeItem.level to get the left margin for this tree cell. This is settable from CSS
    See Also:
      - `getIndent()`
      - `setIndent(double)`

- ## Constructor Details

  - ### TreeTableRowSkin

    public TreeTableRowSkin(TreeTableRow<T> control)
    Creates a new TreeTableRowSkin instance, installing the necessary child nodes into the Control `children` list, as well as the necessary input mappings for handling key, mouse, etc events.
    Parameters:
      `control` - The control that this skin should be installed onto.

- ## Method Details

  - ### setIndent

    public final void setIndent(double value)
    Sets the value of the property indent.
    Property description:
      The amount of space to multiply by the treeItem.level to get the left margin for this tree cell. This is settable from CSS

  - ### getIndent

    public final double getIndent()
    Gets the value of the property indent.
    Property description:
      The amount of space to multiply by the treeItem.level to get the left margin for this tree cell. This is settable from CSS

  - ### indentProperty

    public final DoubleProperty indentProperty()
    The amount of space to multiply by the treeItem.level to get the left margin for this tree cell. This is settable from CSS
    See Also:
      - `getIndent()`
      - `setIndent(double)`

  - ### createCell

    protected TreeTableCell<T,?> createCell(TableColumnBase tcb)
    Creates a new cell instance that is suitable for representing the given table column instance.
    Specified by:
      `createCell` in class `TableRowSkinBase<TreeItem<T>,TreeTableRow<T>,TreeTableCell<T,?>>`
    Parameters:
      `tcb` - the table column
    Returns:
      the created cell

  - ### getVisibleLeafColumns

    protected ObservableList<TreeTableColumn<T,?>> getVisibleLeafColumns()
    Returns an unmodifiable list containing the currently visible leaf columns.
    Specified by:
      `getVisibleLeafColumns` in class `TableRowSkinBase<TreeItem<T>,TreeTableRow<T>,TreeTableCell<T,?>>`
    Returns:
      the list of visible leaf columns

  - ### updateCell

    protected void updateCell(TreeTableCell<T,?> cell, TreeTableRow<T> row)
    A method to allow the given cell to be told that it is a member of the given row. How this is implemented is dependent on the actual cell implementation.
    Specified by:
      `updateCell` in class `TableRowSkinBase<TreeItem<T>,TreeTableRow<T>,TreeTableCell<T,?>>`
    Parameters:
      `cell` - The cell for which we want to inform it of its owner row.
      `row` - The row which will be set on the given cell.

  - ### getTableColumn

    protected TreeTableColumn<T,?> getTableColumn(TreeTableCell cell)
    Returns the `TableColumnBase` instance for the given cell instance.
    Specified by:
      `getTableColumn` in class `TableRowSkinBase<TreeItem<T>,TreeTableRow<T>,TreeTableCell<T,?>>`
    Parameters:
      `cell` - The cell for which a TableColumn is desired.
    Returns:
      the table column

  - ### getClassCssMetaData

    public static List<CssMetaData<? extends Styleable,?>> getClassCssMetaData()
    Returns the CssMetaData associated with this class, which may include the CssMetaData of its superclasses.
    Returns:
      the CssMetaData associated with this class, which may include the CssMetaData of its superclasses